# Compare and deploy the product catalog of a tenant to a target tenant Compare and deploy the product catalog of a tenant to a target tenant. Endpoint: POST /deployment-manager/deployments/tenant/product_catalog Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Request fields (multipart/form-data): - `name` (string, required) Deployment's name. Example: "Tenant01PC" - `description` (string, required) Deployment's description. Example: "Product Catalog tenant - 01" - `sendEmail` (boolean, required) Specifies if an email should be sent. Example: true - `emails` (string) If sendEmail parameter is set to true, comma separated values of emails can be specified. Example email1@test.com,email2@test.com. Example: "zuoraUser@zuora.com" - `comments` (string) Content of the email to be sent. Example: "Product Catalog tenant - 47" - `inActiveProducts` (boolean, required) Specifies if inactive products needs to be migrated. - `activeProducts` (boolean, required) Specifies if active products needs to be migrated. Example: true - `activeRatePlans` (boolean, required) Specifies if active rate plans needs to be migrated. Example: true - `inActiveRatePlans` (boolean, required) Specifies if inactive active rate plans needs to be migrated. Example: true - `compareField` (string, required) Specifies the compare field to be using during migration. Enum: "name", "sku" - `sourceTenantId` (string, required) Specifies the source tenant id. Example: "83e7e56d-0e02-4b4d-91f6-cc77f322c40b" ## Response 200 fields (application/json): - `id` (string) ID of the Deployment Manager migration process - `status` (string) Status of the Deployment Manager migration process Enum: "DEPLOYING", "REVERTING", "PARTIALLY-REVERTED", "FAILED", "ROLLBACK-FAILED", "REVERTED", "COMPARING", "SUBMITTED", "SKIPPED", "IDENTICAL", "COMPARE-DONE", "COMPARE-FAILED", "CANCELLED" ## Response 400 fields